//
//  UINotificationsProtocol.h
//  UsenetEngine
//
//  Created by Ger Teunis on 3/27/11.
//  Copyright (c) 2013 VortexApps. All rights reserved.
//

#import <Foundation/Foundation.h>
@class NZB;
@class File;

@protocol UINotificationDelegate <NSObject>
-(BOOL)sheetCanBeSaved;
-(void)sheetWillAppear;
-(void)sheetWillDisappear:(BOOL)save;
@end


@protocol UINotificationsProtocol <NSObject>
#pragma mark -
#pragma mark Instance methods
-(bool)sheetIsDisplaying;
-(void)displayEnteringScheduledMode:(bool)pauseQueue;
-(void)displayLeavingScheduledMode:(bool)pauseQueue;
-(void)displayDownloadFinished:(NZB*)nzb;
-(void)displayQueueFinishedWithPaused:(int)paused Error:(int)error;
-(void)displayNZBAdded:(NSString*)nzbFileName;
-(void)displayDownloadError:(NZB*)nzb Text:(NSString*)description;
-(void)displayConnectionError:(NSString*)error forServerName:(NSString*)serverName;
-(void)displayOutOfDiskspaceEror:(NSString*)error WithTitle:(NSString*)title;
-(void)displayInvalidNZBError:(NSString*)error WithTitle:(NSString*)title;
-(void)displayRssUpdateError:(NSString*)feedName;
-(void)displayRssNZBDownloadError:(NSString*)feedName topicTitle:(NSString*)TopicTitle;
-(void)displayIncorrectArchivePassword:(NZB*)nzbFile Archive:(File*)file;
-(void)displayDiskWriteError:(NZB*)nzbFile File:(File*)file;
-(void)displayNZBIsGettingOld:(NZB*)nzbFile MaxRetention:(int)maxRetention;
-(void)displayMonthlyVolumeReachedWarning:(unsigned long long)monthlyVolumeLimit;
-(void)displayServerDepletedVolumeWarning:(NSString*)serverName Volume:(unsigned long long)monthlyVolumeLimit;
-(void)displaySkippedProcessingZIPFileTooLarge:(NSString*)file;
-(void)displayTooMayMissingArticles:(NZB*)nzbFile;
-(void)displayStateFileDamaged;
-(void)displayUnsupportedEncoding:(NZB*)nzb;
-(void)displaySheetWithMessageText:(NSString*)text 
                     defaultButton:(NSString*)defaultButton 
                   alternateButton:(NSString*)alternateButton 
                       otherButton:(NSString*)otherButton
                     modalDelegate:(id)delegate
                     modalSelector:(SEL)selector
                  modalContextInfo:(id)contextInfo
         informativeTextWithFormat:(NSString*)informativeText;
-(void)displayHelperAppNotAvailableSheet:(NSString*)functionality surpressable:(BOOL)surpressable;

@end
